#eureka client配置
eureka:
  instance:
    # 注册时使用ip而不是主机名
    preferIpAddress: true
    instanceId: ${spring.cloud.client.ip-address}:${server.port}
    health-check-url-path: /actuator/health
    # 状态地址为api地址
    statusPageUrlPath: /${server.servlet.contextpath:}/apidoc.html
    leaseRenewalIntervalInSeconds: 5 #租期更新时间间隔（默认30秒） 客户端发送心跳检测时间间隔
    leaseExpirationDurationInSeconds: 10 #租期到期时间（默认90秒）
spring:
  profiles:
    active: qingniu
server:
  servlet:
    contextpath:
  port: 27218

#springboot admin配置
management:
  endpoints:
    web:
      exposure:
        include: "*"
hystrix:
  command:
    default:
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 65000

ribbon:
  ReadTimeout: 15000
  ConnectTimeout: 15000
  MaxAutoRetries: 1
  MaxAutoRetriesNextServer: 0

feign:
  hystrix:
    enabled: true

prolog:
  auth:
    redis:
#      timeout: 18000
      namespace: "upcloud-base:"
    client-id: platform-admin
    client-secret: prolog0212
    permitResource: /*.html,/**/*.css,/**/*.js,/**/*.ico,/**/*.png,/**/*.gif,/**/*.jpg,/**/font/*,/v2/api-docs/,/wms/v1.0/**
  ms:
    dataCenterId: 6
    machineId: 2
  apidoc:
    title: 库内操作服务
    basePackage: com.prolog.upcloud.base.wh.operate
    description: 库内操作服务
    version: 1.0
  dao:
    dialect: oracle
    pagehelper: #pagehelper分页插件配置
      helperDialect: ${prolog.dao.dialect}
      reasonable: true
      supportMethodsArguments: true
      pageSizeZero: true
      params: count=countSql
    mybatis:
      typeAliasesPackage: com.prolog.upcloud.base.wh.operate.model
      mapperLocations: classpath:mappers/*.xml
      configuration:
        map-underscore-to-camel-case: true
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  web:
    multipart:
      maxFileSize: 50MB
      maxRequestSize: 50MB
